   using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Pirates
{
    public class ChargeThing : MonoBehaviour
    {
        PhysicalBehaviour b;

        void Awake()
        {
            b = GetComponent<PhysicalBehaviour>();
        }

  void FixedUpdate()
            {
                b.charge = 10;
            }
        }

        public class Pirates
    {

        public static void Main()
        {
             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jack Sparoow - Pirates of the Carribian",
                    DescriptionOverride = "Jack Sparoow - Pirates of the Carribian",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("JackPreview.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Jack.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var head = Instance.transform.GetChild(5);

                        var hornobject = new GameObject("horn");
                        hornobject.transform.SetParent(head);
                        hornobject.transform.localPosition = new Vector3(0, 0f);
                        hornobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hornobject.transform.localScale = new Vector3(1f, 1f);
                        var hornsprite = hornobject.AddComponent<SpriteRenderer>();
                        hornsprite.sprite = ModAPI.LoadSprite("hat.png");
                        hornsprite.sortingLayerName = "Top";

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        person.SetBruiseColor(0, 0, 0); 
                        person.SetSecondBruiseColor(0, 0, 0); 
                        person.SetThirdBruiseColor(0, 0, 0); 
                        person.SetBloodColour(0, 0, 0); 
                        person.SetRottenColour(0, 0, 0);

                        foreach (var body in person.Limbs)
                        {
                             body.Health *= 10f;
                           }
                       }
                   }
               );
             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Will Turner - Pirates of the Carribian",
                    DescriptionOverride = "Will Turner - Pirates of the Carribian",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Will TurnerPreview.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Will Turner.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var head = Instance.transform.GetChild(5);

                        var hornobject = new GameObject("horn");
                        hornobject.transform.SetParent(head);
                        hornobject.transform.localPosition = new Vector3(0, 0f);
                        hornobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hornobject.transform.localScale = new Vector3(1f, 1f);
                        var hornsprite = hornobject.AddComponent<SpriteRenderer>();
                        hornsprite.sprite = ModAPI.LoadSprite("hair.png");
                        hornsprite.sortingLayerName = "Top";

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        person.SetBruiseColor(0, 0, 0); 
                        person.SetSecondBruiseColor(0, 0, 0); 
                        person.SetThirdBruiseColor(0, 0, 0); 
                        person.SetBloodColour(0, 0, 0); 
                        person.SetRottenColour(0, 0, 0); 

                        foreach (var body in person.Limbs)
                        {
                             body.Health *= 10f;
                           }
                       }
                   }
               );
              ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Regettie - Pirates of the Carribian",
                    NameToOrderByOverride = "Regettie - Pirates of the Carribian",
                    DescriptionOverride = "Regettie - Pirates of the Carribian",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("RegettiePreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("Regettie.png");
                        var muscle = ModAPI.LoadTexture("Muscles.png");
                        person.SetBodyTextures(skin, muscle, null, 1);
                    }
                }
            );
             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Epee - Pirates of the Carribian",
                    NameToOrderByOverride = "Epee - Pirates of the Carribian",
                    DescriptionOverride = "Epee - Pirates of the Carribian",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("EpeePreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Epee.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );
             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pintel - Pirates of the Carribian",
                    DescriptionOverride = "Pintel - Pirates of the Carribian",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("PintelPreview.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Pintel.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var head = Instance.transform.GetChild(5);

                        var hornobject = new GameObject("horn");
                        hornobject.transform.SetParent(head);
                        hornobject.transform.localPosition = new Vector3(0, 0f);
                        hornobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hornobject.transform.localScale = new Vector3(1f, 1f);
                        var hornsprite = hornobject.AddComponent<SpriteRenderer>();
                        hornsprite.sprite = ModAPI.LoadSprite("hair2.png");
                        hornsprite.sortingLayerName = "Top";

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        person.SetBruiseColor(0, 0, 0); 
                        person.SetSecondBruiseColor(0, 0, 0); 
                        person.SetThirdBruiseColor(0, 0, 0); 
                        person.SetBloodColour(0, 0, 0); 
                        person.SetRottenColour(0, 0, 0); 

                        foreach (var body in person.Limbs)
                        {
                             body.Health *= 10f;
                           }
                       }
                   }
               );
         }
     }
 }
